Bug 105933 - Missing chipcard support for HBCI
Missing chipcard support for HBCI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-29 12:58 EDT by Thorsten Tasch
Modified: 2014-03-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 00:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Tasch 2003-09-29 12:58:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Epiphany/1.0

Description of problem:
Gnucash has support for HBCI but support for using a chipcard with HBCI is not
activated. The required library libchipcard is missing and no support is
compiled in gnucash/openhbci.

Version-Release number of selected component (if applicable):
gnucash-1.8.7-1

How reproducible:
Always

Steps to Reproduce:
1. Start gnucash
2. Start HBCI wizard
3. See that HBCI with chipcard is not possible
    

Additional info:
Comment 1 Bill Nottingham 2003-09-29 17:17:40 EDT
URL for libchipcard?
Comment 2 Thorsten Tasch 2003-10-02 08:55:04 EDT
You can find libchipcard on http://www.libchipcard.de/
Comment 3 Thorsten Tasch 2003-12-29 09:20:47 EST
OpenHBCI uses a plugin to access the chipcard
(openhbci-plugin-ddvcard). The main problem is that the gnucash.rpm
does not include the development files of OpenHBCI, which are needed
for building openhbci-plugin-ddvcard.
Comment 4 Ralph Angenendt 2004-01-23 07:30:45 EST
Maybe it would be better to split the openhbci-libs from the gnucash
package (libopenhbci and libopenhbci-devel), so one could at least
compile the plugins - not that I am aware of others than libddvcard at
the moment.

This would help at least german users pretty much, as HBCI with
chipcards seems to be primarily used here.

That would leave libopenhbci as a dependancy for gnucash, but I think
this can be dealt with.
Comment 5 Bill Nottingham 2004-03-25 00:54:33 EST
OpenHBCI and libofx are split out as of gnucash-1.8.8-4 and later.

Note You need to log in before you can comment on or make changes to this bug.